Subject: Re: bug#32849: 26.1; xref-marker-ring-length user option doesn't have setter

From: Noam Postavsky <[email-masked]>
Date: Sun, 28 Oct 2018 14:32:49 -0400

Allen Li <[email-masked]> writes:

> I wrote tests with names function-to-test/case-tested.  I'm not sure
> if this violates style policies for tests.  It seems like existing
> code tests multiple cases in a single test, but I find separate tests
> easier to understand when they regress.  The / makes the test names
> easier to read.
  
> +(ert-deftest ring-test-ring-resize/grow ()

Like Eli mentioned, there is no policy for this, but I'd say the
ring-test- prefix is redundant for test names, ring-resize/grow already
has the prefix ring- to avoid nameclashes with other tests (and test
namespace is separate from function namespace).